=== modified file 'breezy/bzr/xml8.py'
--- breezy/bzr/xml8.py	2020-02-18 01:57:45 +0000
+++ breezy/bzr/xml8.py	2020-06-12 00:28:50 +0000
@@ -241,9 +241,10 @@
                        revision_id=get_cached(elt.get('revision_id')),
                        inventory_sha1=elt.get('inventory_sha1').encode('ascii')
                        )
-        parents = elt.find('parents') or []
-        for p in parents:
-            rev.parent_ids.append(get_cached(p.get('revision_id')))
+        parents = elt.find('parents')
+        if parents is not None:
+            for p in parents:
+                rev.parent_ids.append(get_cached(p.get('revision_id')))
         self._unpack_revision_properties(elt, rev)
         v = elt.get('timezone')
         if v is None:

